# ===================================
#  Form Field Definitions
# ===================================

fields:
    fileName:
        label: cms::lang.editor.filename
        attributes:
            default-focus: 1
            spellcheck: 'false'

    toolbar:
        type: partial
        path: $/rainlab/builder/behaviors/indexmodellistoperations/partials/_toolbar.htm
        cssClass: collapse-visible

tabs:
    stretch: true
    cssClass: master-area
    fields:
        columns:
            stretch: true
            cssClass: frameless
            tab: rainlab.builder::lang.list.tab_columns
            type: datatable
            btnAddRowLabel: rainlab.builder::lang.list.btn_add_column
            btnDeleteRowLabel: rainlab.builder::lang.list.btn_delete_column
            height: 100
            dynamicHeight: true
            columns:
                field: 
                    title: rainlab.builder::lang.list.column_dbfield_label
                    type: autocomplete
                    fillFrom: model-fields
                    validation: 
                        required: 
                            message: rainlab.builder::lang.list.column_dbfield_required
                label:
                    title: rainlab.builder::lang.list.column_name_label
                    type: builderLocalization
                    validation: 
                        required: 
                            message: rainlab.builder::lang.list.column_label_required
                type:
                    title: rainlab.builder::lang.list.column_type_label
                    validation: 
                        required: 
                            message: rainlab.builder::lang.list.column_type_required
                    type: dropdown
                    options: 
                        text: rainlab.builder::lang.list.column_type_text
                        number: rainlab.builder::lang.list.column_type_number
                        switch: rainlab.builder::lang.list.column_type_switch
                        datetime: rainlab.builder::lang.list.column_type_datetime
                        date: rainlab.builder::lang.list.column_type_date
                        time: rainlab.builder::lang.list.column_type_time
                        timesince: rainlab.builder::lang.list.column_type_timesince
                        timetense: rainlab.builder::lang.list.column_type_timetense
                        select: rainlab.builder::lang.list.column_type_select
                        partial: rainlab.builder::lang.list.column_type_partial
                default:
                    title: rainlab.builder::lang.list.column_label_default
                    type: builderLocalization
                searchable:
                    title: rainlab.builder::lang.list.column_label_searchable
                    type: checkbox
                    width: 80px
                invisible:
                    title: rainlab.builder::lang.list.column_label_invisible
                    type: checkbox
                sortable:
                    title: rainlab.builder::lang.list.column_label_sortable
                    type: checkbox
                    default: true
                    width: 60px
                select:
                    title: rainlab.builder::lang.list.column_label_select
                relation: 
                    title: rainlab.builder::lang.list.column_label_relation
                cssClass:
                    title: rainlab.builder::lang.list.column_label_css_class
                width:
                    title: rainlab.builder::lang.list.column_label_width
                    width: 80px
                path:
                    title: rainlab.builder::lang.list.column_label_path
                format:
                    title: rainlab.builder::lang.list.column_label_format
                valueFrom:
                    title: rainlab.builder::lang.list.column_label_value_from
